type IntegerOverflowHandler = (keyPath: (number | string)[], value: bigint) => void;
type Patched<T> = T extends object ? {
    [Property in keyof T]: Patched<T[Property]>;
} : T extends bigint ? number : T;
export declare function patchParamsForSolanaLabsRpc<T>(params: T, onIntegerOverflow?: IntegerOverflowHandler): Patched<T>;
export {};
//# sourceMappingURL=params-patcher.d.ts.map